apeman-ui
===========


[![Build Status][my_travis_badge_url]][my_travis_url]
[![Code Climate][my_codeclimate_badge_url]][my_codeclimate_url]
[![Code Coverage][my_codeclimate_coverage_badge_url]][my_codeclimate_url]
[![npm version][my_npm_budge_url]][my_npm_url]

'ui' command module for apeman.


Installation
------------

Install module via [npm][npm_url].

```bash
# Install as local module.
$ npm install apeman-ui --save
```

Usage
-----

1. Prepare an `Apemanfile.js`
2. Run the command.

**Apemanfile.js**
```javascript
/**
 * This is an example Apemanfile.js
 */

"use strict";

module.exports = {
    $pkg: {/*...*/},
};


```

**Run the command.**
```javascript
/**
 * This an example for apeman ui command.
 */

var ui = require('apeman-ui');

ui.run('', {
}, function (err) {

});
```

Options
-------

| Key | Description | Default |
| --- | ----------- | ------- |
| verbose | Show verbose logs | false |
| configuration | Pathname of Apemanfile |  |


CLI
---

apeman-ui also provides CLI(command line interface).

```bash
# Install as global module for CLI usage.
$ npm install apeman-ui --g
```

Then,

```bash
# Show help for CLI.
$ apeman-ui -h
```


License
-------

This software is released under the [MIT License][my_license_url].


Links
-----

+ [apeman][apeman_url]


[npm_url]: https://www.npmjs.com/
[apeman_url]: https://github.com/apeman-repo/apeman
[my_repo_url]: https://github.com/apeman-repo/apeman-ui
[my_travis_url]: http://travis-ci.org/apeman-repo/apeman-ui
[my_travis_badge_url]: http://img.shields.io/travis/apeman-repo/apeman-ui.svg?style=flat
[my_license_url]: https://github.com/apeman-repo/apeman-ui/blob/master/LICENSE
[my_codeclimate_url]: http://codeclimate.com/github/apeman-repo/apeman-ui
[my_codeclimate_badge_url]: http://img.shields.io/codeclimate/github/apeman-repo/apeman-ui.svg?style=flat
[my_codeclimate_coverage_badge_url]: http://img.shields.io/codeclimate/coverage/github/apeman-repo/apeman-ui.svg?style=flat
[my_npm_url]: http://www.npmjs.org/package/apeman-ui
[my_npm_budge_url]: http://img.shields.io/npm/v/apeman-ui.svg?style=flat